Dependency on CSOM version 15.0.0.0

Aug 20, 2015 at 5:58 AM
Hi Bram,

I've downloaded the latest version (1.7) and ran it on my machine which doesn't have a SharePoint install on it (nothing at all). Starting the application I get an error stating that it couldn't find the CSOM dll version 15.0.0.0 (Microsoft.SharePoint.Client.Runtime to be exact). It checked, the version packaged is 15.0.4691.3000 so from that perspective the error might be legit. I tried adding a dll binding redirect in the app.config file but that didn't help. It seems the dependencies are not 100% ok in this new release.
Aug 20, 2015 at 6:02 AM
BTW: easily fixable by installing the SharePoint Server 2013 Client Components SDK, but I think you probably want this to work without that too?
Aug 20, 2015 at 6:04 AM
Never mind, completely got lost in between online and on-prem versions. Forget I said anything :P
Coordinator
Aug 20, 2015 at 7:17 AM
Hi Jasper,

The download package should contain all assemblies required to run the tool. No additional installation of the Client Components should be required, if you have other experiences please let me know.

With the latest release I introduced a version of v15 (SharePoint 2013 on-premises) and v16 (SharePoint Online) assemblies. This is called the SharePoint 2013 Client Browser used for on-premises and SharePoint Online Client Browser used with SharePoint Online (Office 365).

I hope this helps ;-)

Greetz Bram